# embeddedIpv4.enable

Enables or disables anonymization of IPv6 addresses with embedded IPv4 parts.

This parameter applies to IP Address Anonymization Module (mmanon).

Name:

  embeddedIpv4.enable

Scope:

  input

Type:

  boolean

Default:

  input=on

Required?:

  no

Introduced:

  7.3.7

## Description

This parameter controls whether `mmanon` will attempt to find and anonymize IPv6 addresses with embedded IPv4 parts. If set to `off`, all other `embeddedipv4.*` parameters for this action are ignored.

## Input usage

    module(load="mmanon")
    action(type="mmanon" embeddedIpv4.enable="off")

## See also

IP Address Anonymization Module (mmanon)

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.